Updates to work with new UNIX makefiles.
authorJan Vrany <jan.vrany@fit.cvut.cz>
Wed, 12 Jun 2013 17:21:40 +0200
changeset 160 fadfbf804005
parent 159 40cdb9aa191d
child 161 272aec4b1764
Updates to work with new UNIX makefiles.
shellfiles/common.sh.in
--- a/shellfiles/common.sh.in	Tue Jun 11 13:56:58 2013 +0200
+++ b/shellfiles/common.sh.in	Wed Jun 12 17:21:40 2013 +0200
@@ -40,12 +40,10 @@
     if [ "$WIN32" == "1" ]; then
     	cmd /C bmake.bat $1 $2
     else
-    	if [ ! -f makefile ]; then
-    	   if [ -f Makefile ]; then
-    	   	make mf || error "Failed to generate makefile (make mf)"
-    	   else
-    	   	make -f Makefile.init mf || error "Failed to generate makefile (make -f Makefile.init mf)"
-    	   fi
+    	if [ -f Makefile.init ]; then
+            make -f Makefile.init || error "Failed to make package"
+        else
+            error "No Makefile.init found"
     	fi
     	make $1 $2 || error "Make failed"
     fi
@@ -141,13 +139,13 @@
     BUILD_NUMBER=$(date +%Y_%m_%d_interactive)
 fi
 
-BUILD="."
+BUILD="$PWD"
 
 
 echo "INFO: BUILD=\"$BUILD\""
 
 if [ -d "$BUILD" ]; then
-    if [ "$BUILD" != "." ]; then
+    if [ "$BUILD" != "$PWD" ]; then
         info "Build directory already exists!"
     fi
 else